Package uk.ac.starlink.vo

# Class RegistrySelectorModel

java.lang.Object
uk.ac.starlink.vo.RegistrySelectorModel

public class RegistrySelectorModel extends Object
Model for RegistrySelector.

Since:
  9 Apr 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`RegistrySelectorModel(RegistryProtocol proto)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`RegistryProtocol`
`getProtocol()`
Returns the registry access protocol.
`ComboBoxModel<String>`
`getUrlSelectionModel()`
Returns the model used for selection of the registry endpoint URL.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegistrySelectorModel

public RegistrySelectorModel(RegistryProtocol proto)
Constructor.

Parameters:
  `proto` - registry access protocol

## Method Details

### getProtocol

public RegistryProtocol getProtocol()
Returns the registry access protocol.

Returns:
  protocol

### getUrlSelectionModel

public ComboBoxModel<String> getUrlSelectionModel()
Returns the model used for selection of the registry endpoint URL.

Returns:
  selection model